For the complete documentation index, see llms.txt. This page is also available as Markdown.

Organizations

The Organization is the top level element in the data structure. They are the data owner. They are the ones that have provided the data.

All entities/data in the system belong to one organization.

Get a list of organizations

get
/badminton/organizations

Return a list of available organizations

Required scopes
This endpoint requires the following scopes:
  • : Read any data from the organization down
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Query parameters
addedstring · date-timeOptional

Record was added after this date/time. In UTC.

Example: 2018-08-16T02:10:48
countryCodestring · min: 3 · max: 3Optional

Country code

Example: USA
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
includeTotalCountbooleanOptional

Include the total number of records matching the filters.

Example: true
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of records to return. See Pagination for more information.

Default: 10Example: 10
offsetinteger · int32Optional

The offset of the records. See Pagination for more information.

Example: 10
regionTypestring · enumOptional

The region type

  • INTERNATIONAL Multiple countries
  • LOCAL Local area
  • NATIONAL One country
  • STATE One state
Example: STATEPossible values:
searchstringOptional

Searches the provided text in the fields organizationId, abbreviationLocal, nameLocal, abbreviationLatin, nameLatin

Example: bob
updatedstring · date-timeOptional

Record was modified after this date/time. In UTC.

Example: 2018-08-16T02:11:48
Responses
200

Successful operation

application/json
get
/badminton/organizations

Create a new organization

post
/badminton/organizations

Add a new organization to the system

Required scopes
This endpoint requires the following scopes:
  • : Ability to manage organizations
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Query parameters
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
Body
organizationIdstring · min: 5 · max: 5Optional

The unique identifier of the organization

Example: b1a23
abbreviationLocalstring · max: 30 · nullableOptional

An abbreviation/short name in the local language

Example: NFA
nameLocalstring · max: 150Required

The name of the organization in the local language

Example: Test name local
abbreviationLatinstring · max: 30 · nullableOptional

An abbreviation/short name in latin characters

Example: NFA
nameLatinstring · max: 150 · nullableOptional

The name of the organization in latin characters

Example: Test name latin
countryCodestring · min: 3 · max: 3 · nullableOptional

Country code of the organization. We recommend you use ISO-3166-1:alpha3 (upper case) values where available.

Example: USA
regionTypestring · enumRequired

How geographically relevant is this organization

  • INTERNATIONAL Multiple countries
  • INTERSTATE Cross state
  • LOCAL Local area
  • NATIONAL One country
  • STATE One state
Example: STATEPossible values:
defaultLocalestring · min: 5 · max: 5Optional

The locale of the video

Example: fr-FRPattern: ^[a-z]{2,2}-[A-Z]{2,2}$
Responses
200

Successful operation

application/json
post
/badminton/organizations

Get an organization

get
/badminton/organizations/{organizationId}

Return detailed information about a specific organization

Required scopes
This endpoint requires the following scopes:
  • : Read any data from the organization down
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
Query parameters
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
includeTotalCountbooleanOptional

Include the total number of records matching the filters.

Example: true
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of records to return. See Pagination for more information.

Default: 10Example: 10
offsetinteger · int32Optional

The offset of the records. See Pagination for more information.

Example: 10
Responses
200

Successful operation

application/json
get
/badminton/organizations/{organizationId}

Update an organization

put
/badminton/organizations/{organizationId}

Change the information of a specific organization

Required scopes
This endpoint requires the following scopes:
  • : Ability to manage organizations
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
Query parameters
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
Body
abbreviationLocalstring · max: 30 · nullableOptional

An abbreviation/short name in the local language

Example: NFA
nameLocalstring · max: 150Optional

The name of the organization in the local language

Example: Test name local
abbreviationLatinstring · max: 30 · nullableOptional

An abbreviation/short name in latin characters

Example: NFA
nameLatinstring · max: 150 · nullableOptional

The name of the organization in latin characters

Example: Test name latin
countryCodestring · min: 3 · max: 3 · nullableOptional

Country code of the organization. We recommend you use ISO-3166-1:alpha3 (upper case) values where available.

Example: USA
regionTypestring · enumOptional

How geographically relevant is this organization

  • INTERNATIONAL Multiple countries
  • INTERSTATE Cross state
  • LOCAL Local area
  • NATIONAL One country
  • STATE One state
Example: STATEPossible values:
defaultLocalestring · min: 5 · max: 5Optional

The locale of the video

Example: fr-FRPattern: ^[a-z]{2,2}-[A-Z]{2,2}$
Responses
200

Successful operation

application/json
put
/badminton/organizations/{organizationId}

Delete an organization

delete
/badminton/organizations/{organizationId}

Delete an organization

Required scopes
This endpoint requires the following scopes:
  • : Ability to manage organizations
Authorizations
OAuth2clientCredentialsRequired

You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.

Token URL:
Path parameters
organizationIdstring · min: 5 · max: 5Required

The unique identifier of the organization

Example: b1a23
Query parameters
externalstringOptional

A comma separated list of fields that will instead be interpreted as an externalId. See External Ids for more information.

Example: entityId,personId
fieldsstringOptional

A comma separated list of fields to display. The response will only display these fields. See Partial Response section for more information.

Example: dob,firstName,organization(id),organizations[name], teams[name,details/metrics/*,tags(id)]
hideNullbooleanOptional

Don't display data fields with null values or empty structures

Example: true
includestringOptional

A comma separated list of resource types to include. See Resource Inclusion for more information.

Example: organizations,fixtures,entities
Responses
200

Successful operation

application/json
delete
/badminton/organizations/{organizationId}

Last updated

Was this helpful?